при установке расширения pecl в mongodb на Ubuntu 16.04 я получаю эту ошибку - proUbuntu
Купить гитару в Москве
0 голосов
/
  • Элемент списка

    при установке pecl я получил эту ошибку.

    Makefile: 194: рецепт для цели php_mongo.lo не удался make: *** [php_mongo.lo] Ошибка 1 ОШИБКА: сбой `make '

1 Ответ

0 голосов
/

Расширение pecl mongo больше не поддерживается, и новым проектам рекомендуется использовать расширение mongodb и библиотеку PHP.

Откройте терминал и введите:

sudo apt-get install php-pear php7.0-dev # required in order to use pecl 
sudo pecl install mongodb  

В последней версии mongodb для установки пакетов mongodb с помощью composer требуется alcaeus / mongo-php-adapter.

Добро пожаловать на сайт proUbuntu, где вы можете задавать вопросы и получать ответы от других членов сообщества.
...